package com.engine.attendance.attendanceanalysis.service;

import java.util.List;
import java.util.Map;

public interface AskForLeaveService {
    /**
     * 根据时间请假
     * @return
     */
    List<Map<String,Object>> askForLeaveByTime(Map<String,Object> param);

    /**
     * 根据时长请假
     * @return
     */
    List<Map<String,Object>> askForLeaveByDurationTime(Map<String,Object> param);

    /**
     * 根据半天请假
     * @param param
     * @return
     */
    boolean askForLeaveByHalfDay(Map<String,Object> param);
}
